library(ggplot2)
library(tidyr)

#faili sisselugemine ja andmete formaadi korrigeerimine
J343=read.csv("PT3-T3.4-J3.4.3.csv",header=TRUE, encoding ="UTF-8")
J343$X[8]="EESTI"
names(J343)=gsub("\\.", " ", names(J343))
levels=reorder(J343$X,J343$`Decreased a lot`)
J343=pivot_longer(J343,2:6)
J343$X=as.factor(J343$X)
J343$X=factor(J343$X,levels)
J343$name=as.factor(J343$name)
J343$name=factor(J343$name,levels(J343$name)[order(c(3,1,2,5,4))])
font=rep(1,27)
font[8]=2

#joonis
ggplot(J343)+
  geom_col(aes(x=X,y=value,fill=name),pos=position_dodge(0.7),width=0.7)+
  scale_fill_manual(values=c("#6666CC","#38bf7b","#668080","#f09d00","#bf6900"))+
  theme_minimal()+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  theme(axis.text.x = element_text(angle = 90,face=font))+
  theme(legend.position = "bottom")+
  theme(legend.title = element_blank())+
  xlab("")+
  ylab("%")







